import { describe, it, expect } from "vitest";
import { mount } from "@vue/test-utils";
import { CTBackground } from "./index";

describe("Background", () => {
  it("can be masked", async () => {
    const wrapper = mount(CTBackground, {});

    expect(wrapper.find({ ref: "maskRef" }).exists()).toStrictEqual(false);

    await wrapper.setProps({ withMask: true });
    expect(wrapper.find({ ref: "maskRef" }).exists()).toStrictEqual(true);
  });
});
