import { BannerColor, BannerOrientation, CTWarningBanner } from "../banner";
import { warningBannerStub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";
import { iconArgTypes } from "../../utilities/storybook";

const meta: Meta<typeof CTWarningBanner> = {
  title: "Banner",
  component: CTWarningBanner,
  argTypes: {
    orientation: {
      control: "select",
      options: Object.values(BannerOrientation),
    },
    color: {
      control: "select",
      options: Object.values(BannerColor),
    },
    label: { control: "text" },
    tag: { control: "text" },
    ...iconArgTypes,
  },
};

export const Normal: StoryObj<typeof CTWarningBanner> = {
  args: {
    ...warningBannerStub,
  },
};

export default meta;
