import { CTButton } from "../button";
import { IconName } from "../icon";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";
import { ButtonSize, ButtonType, ButtonVariant } from "../base-button";

const meta: Meta<typeof CTButton> = {
  title: "Button/Button",
  component: CTButton,
  argTypes: {
    label: { control: "text" },
    href: { control: "text" },
    to: { control: "text" },
    isLoading: { control: "boolean" },
    type: { control: "select", options: Object.values(ButtonType) },
    variant: { control: "select", options: Object.values(ButtonVariant) },
    size: { control: "select", options: Object.values(ButtonSize) },
    iconLeft: { control: "select", options: Object.values(IconName) },
    iconRight: { control: "select", options: Object.values(IconName) },
    isRounded: { control: "boolean" },
    isDisabled: { control: "boolean" },
  },
};

type Story = StoryObj<typeof CTButton>;

export const Normal: Story = {
  args: {
    ...stub,
  },
};

export const Rounded: Story = {
  args: {
    ...stub,
    isRounded: true,
  },
};

export const Large: Story = {
  args: {
    ...stub,
    size: ButtonSize.LARGE,
  },
};

export const Small: Story = {
  args: {
    ...stub,
    size: ButtonSize.SMALL,
  },
};

export default meta;
