import type { Meta, StoryObj } from "@storybook/vue3";
import { CTCaptionCard } from "../caption-card";
import { stub } from "./stub";
import type { CaptionCardProps } from "./index";
import { CaptionCardColor } from "./constants";

const meta: Meta<typeof CTCaptionCard> = {
  title: "Card/Caption",
  component: CTCaptionCard,
  argTypes: {
    color: { control: "select", options: Object.values(CaptionCardColor) },
  },
};

export const Caption: StoryObj<typeof CTCaptionCard> = {
  args: {
    ...stub,
  },
  render: (args: CaptionCardProps) => ({
    components: { CTCaptionCard },
    setup() {
      return { args };
    },
    template: `<CTCaptionCard v-bind="args">
    <p>
      Slot content!
    </p>
    <p>
      Slot content!
    </p>
    <p>
      Slot content!
    </p>
    <template #footer>
      Footer content! <span class="highlighted">Highlighted</span>
    </template>
    </CTCaptionCard>`,
  }),
};

export default meta;
