import type { ChartType } from "./constants";

export interface ChartEmits {
  (name: "update:index", value: number): void;
}

export type DataPoint = number | [number, number];
export type ColorType = string | ((value: number, i?: number) => string);

export interface ChartDataSet {
  name: string;
  type: ChartType;
  color: ColorType;
  isAlternative?: boolean;
  previous?: number;
  next?: number;
  data: DataPoint[];
}

export interface ChartData {
  max?: number;
  labels: string[];
  tooltipLabels?: string[];
  markers?: number[];
  datasets: ChartDataSet[];
}

export interface ChartProps {
  data: ChartData;
  gridLines?: {
    x?: boolean;
    y?: number;
  };
  labels?: {
    x?: boolean;
    y?: number;
  };
  isLabelShortened?: boolean;
  labelPrefix?: string;
  labelSuffix?: string;
  alternativeLabelPrefix?: string;
  alternativeLabelSuffix?: string;
  showFirstLabel?: boolean;
  showTooltipHeader?: boolean;
  showTooltipColorIndicator?: boolean;
  backgroundOnly?: boolean;
  barsFullWidth?: boolean;
  barsCustomWidth?: number;
  barHoverTransparency?: number;
  barsTopRadius?: number;
}
