import { describe, it, expect } from "vitest";
import { mount } from "@vue/test-utils";
import { CTCheckbox } from "./index";
import { stub } from "./stub";

const props = { ...stub };

describe("Checkbox", () => {
  it("can be boxed", async () => {
    const wrapper = mount(CTCheckbox, {
      props: { ...props, isBoxed: false },
    });

    expect(wrapper.classes("is-boxed")).toBe(false);
    await wrapper.setProps({ isBoxed: true });
    expect(wrapper.classes("is-boxed")).toBe(true);
  });

  it("emits model value", async () => {
    const wrapper = mount(CTCheckbox, {
      props,
    });

    await wrapper.trigger("click");
    expect(wrapper.emitted("update:modelValue")?.[0]).toEqual([true]);
    await wrapper.find({ ref: "inputRef" }).trigger("change");
    expect(wrapper.emitted("update:modelValue")?.[1]).toEqual([true]);
  });
});
