import { CTChip, ChipType, ChipVariant, ChipSize } from "../chip";
import type { ChipProps } from "../chip";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";
import { ref } from "vue";

const meta: Meta<typeof CTChip> = {
  title: "Chip",
  component: CTChip,
  argTypes: {
    variant: {
      control: "select",
      options: Object.values(ChipVariant),
    },
    size: {
      control: "select",
      options: Object.values(ChipSize),
    },
    type: { control: "select", options: Object.values(ChipType) },
  },
};

type Story = StoryObj<typeof CTChip>;

export const Normal: Story = {
  args: {
    ...stub,
  },
  render: (args: ChipProps) => ({
    components: { CTChip },
    setup() {
      const modelValue = ref(true);

      return { args, modelValue };
    },
    template: `<div class="flex flex-col gap-y-4 items-start">
      <CTChip v-bind="args" v-model="modelValue" />
    </div>`,
  }),
};

export default meta;
