import type { ThemeColor } from "../theme";

export const getThemedSrc = (src: string, themeColor: ThemeColor): string => {
  const splitSrc = src.split("/");
  return `${splitSrc.slice(0, -1).join("/")}/${themeColor}-${
    splitSrc[splitSrc.length - 1]
  }`;
};

export const getCloudinarySrc = (
  params: {
    [key: string]: string | number;
  },
  cloudName: string,
  folder: string,
  themedSrc: string,
): string => {
  const paramsStr = Object.entries(params)
    .map(([key, value]) => {
      return `${key}_${value}`;
    })
    .join(",");

  return (
    "https://res.cloudinary.com" +
    `/${cloudName}/image/upload/${paramsStr},f_auto/${folder}/${themedSrc}`.replace(
      /\/\//g,
      "/",
    )
  );
};
