import { CTCloudinaryImage } from "../cloudinary-image";
import type { CloudinaryImageProps } from "./types";
import { stub } from "./stub";
import { provide } from "vue";
import type { Meta, StoryObj } from "@storybook/vue3";

const folder = "dev-portal-v2";
const cloudName = "chargetrip";
const cloudinary = {
  folder,
  cloudName,
  fileMap: {
    "/basics/other-basics/ev-basics/hero.jpg": {
      width: 3384,
      height: 1980,
    },
    "/dark-api.svg": {
      width: 3384,
      height: 1980,
    },
    "/light-api.svg": {
      width: 3384,
      height: 1980,
    },
  },
};

const meta: Meta<typeof CTCloudinaryImage> = {
  title: "CloudinaryImage",
  component: CTCloudinaryImage,
};

export const Normal: StoryObj<typeof CTCloudinaryImage> = {
  args: {
    ...stub,
  },
  render: (args: CloudinaryImageProps) => ({
    components: { CTCloudinaryImage },
    setup() {
      provide("cloudinary", cloudinary);
      return { args };
    },
    template: `
  <div class="h-[800vh] ct-content flex">
    <div>
      <h3>Scroll down</h3>
    </div>
    <div class="my-auto">
      <CTCloudinaryImage v-bind="args" src="/api.svg"/>
      <CTCloudinaryImage v-bind="args" src="/basics/other-basics/ev-basics/hero.jpg"/>
    </div>
  </div>`,
  }),
};

export default meta;
