import { CTCodeBlock } from "../code-block";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTCodeBlock> = {
  title: "CodeBlock",
  component: CTCodeBlock,
  argTypes: {
    label: { control: "text" },
    code: { control: "text" },
    language: { control: "text" },
    externalUrl: { control: "text" },
    buttonLabel: { control: "text" },
  },
};

type Story = StoryObj<typeof CTCodeBlock>;

export const Normal: Story = {
  args: {
    ...stub,
    isInline: false,
    externalUrl: undefined,
  },
};

export const Inline: Story = {
  args: {
    ...stub,
    externalUrl: undefined,
    isInline: true,
    code: `-H "x-client-id: 5e8c22366f9c5f23ab0eff39" \\`,
    language: "bash",
  },
};
export default meta;
