import { CTCodeTabs } from "../code-tabs";
import type { CodeTabsProps } from "./types";
import { stub } from "./stub";
import { CTButton } from "../button";
import { provide, reactive, watch } from "vue";
import type { Meta, StoryObj } from "@storybook/vue3";
import { useCycleList } from "@vueuse/core";

const meta: Meta<typeof CTCodeTabs> = {
  title: "CodeTabs",
  component: CTCodeTabs,
};

export const Normal: StoryObj<typeof CTCodeTabs> = {
  args: {
    ...stub,
  },
  render: (args: CodeTabsProps) => ({
    components: { CTCodeTabs, CTButton },
    setup() {
      const test = reactive({ index: 0 });
      provide("highlightOptions", test);

      const { next, index } = useCycleList(stub.codeList);

      watch(index, () => {
        test.index = index.value;
      });

      next();
      return { args, test, next, index };
    },
    template: `<div class="overflow-hidden">
      <CTButton @click="next()">Toggle!</CTButton>
      <CTCodeTabs class="mt-4" v-bind="args"/>
      </div>`,
  }),
};

export default meta;
