import { ContentCardDirection, CTContentCard } from "./index";
import type { ContentCardProps } from "./types";
import type { Meta, StoryObj } from "@storybook/vue3";
import { stub } from "./stub";

const meta: Meta<typeof CTContentCard> = {
  title: "Card/Content",
  component: CTContentCard,
  argTypes: {
    label: { control: "text" },
    sublabel: { control: "text" },
    direction: {
      control: "select",
      options: Object.values(ContentCardDirection),
    },
    tag: { control: "object" },
    img: { control: "text" },
  },
};

export const Content: StoryObj<typeof CTContentCard> = {
  args: {
    ...stub,
  },
  render: (args: ContentCardProps) => ({
    components: { CTContentCard },
    setup() {
      return { args };
    },
    template: `
      <div class="grid grid-cols-1 gap-12">
        <CTContentCard v-bind="args" v-for="(i) in 2" :key="i">
          <template #header>
            Header title
          </template>
          Hey
        </CTContentCard>
      </div>`,
  }),
};

export default meta;
