import { describe, it, expect } from "vitest";
import { mount } from "@vue/test-utils";
import CTContent from "./Content.vue";
import { converter } from "../../filters/markdown";
import { cleanHTML } from "../../utilities/vitest";
import { stub } from "./stub";
import { sanitize } from "../../utilities/sanitize";
const props = {
  ...stub,
};

const { markdown } = props;

describe("Content", () => {
  it("it renders markdown", async () => {
    const wrapper = mount(CTContent, { props });

    const expected = cleanHTML(`<div class="markdown">
${sanitize(converter.makeHtml(markdown!))}
</div>`);

    expect(cleanHTML(wrapper.find({ ref: "markdownRef" }).html())).toBe(
      expected,
    );
  });
});
