import { describe, it, expect, vi } from "vitest";
import { mount } from "@vue/test-utils";
import { CTCopy } from "./index";
import { CTToast } from "../toast";
import { stub as props } from "./stub";

describe("Copy", () => {
  it("copies to clipboard", async () => {
    const wrapper = mount(CTCopy, { props });

    vi.spyOn(navigator.clipboard, "writeText");

    expect(wrapper.findComponent(CTToast).exists()).toBe(false);
    await wrapper.findComponent({ ref: "iconButtonRef" }).trigger("click");

    expect(wrapper.findComponent(CTToast).exists()).toBe(true);

    // TODO: fix this.
    // expect(navigator.clipboard.writeText).toHaveBeenCalledWith(source);
  });
});
