import { CTDragSelect } from "../drag-select";
import type { DragSelectProps } from "../drag-select";
import type { Meta, StoryObj } from "@storybook/vue3";
import { ref } from "vue";

const meta: Meta<typeof CTDragSelect> = {
  title: "DragSelect",
  component: CTDragSelect,
};

export const Normal: StoryObj<typeof CTDragSelect> = {
  args: {},
  render: (args: DragSelectProps) => ({
    components: { CTDragSelect },
    setup() {
      const elementList = { el: ref<HTMLLIElement[]>([]) };
      const modelValue = ref<number[]>([0, 1, 10, 11, 12, 13, 14, 15]);
      const wrapperRef = ref();

      return { args, elementList, modelValue, wrapperRef };
    },
    template: `
      <div>
        <CTDragSelect :element-list="elementList.el" class="flex flex-col gap-px" v-model="modelValue" is-persistent v-if="elementList.el">
          <div :ref="elementList.el" :key="key" v-for="(_, key) in 200" class="h-5" :class="{'bg-red-500': modelValue.includes(key), 'bg-blue-500': !modelValue.includes(key)}"/>
        </CTDragSelect>
      </div>
    `,
  }),
};

export default meta;
