import type { DynamicCodeBlockProps } from "./types";

export const stub: Omit<DynamicCodeBlockProps, "schema"> = {
  clientId: "5ed1175bad06853b3aa1e492",
  clientAppId: "61a89c79669b5a98d2c28fae",
  modelValue: `query car {
  car(id: "5d161be5c9eef46132d9d20a") {
    id
    naming {
      make
      model
      version
      edition
      chargetrip_version
    }
    connectors {
      standard
      power
      time
      speed
    }
    adapters {
      standard
      power
      time
      speed
    }
    battery {
      usable_kwh
      full_kwh
    }
    body {
      seats
      weight
      width
      height
    }
    performance {
      acceleration
      top_speed
    }
    range {
      real
      real_is_estimated
      worst{
        highway
        city
        combined
      }
      best {
        highway
        city
        combined
      }
      chargetrip_range {
        best
        worst
      }
    }
    media {
      evdb_detail_url
      image {
        id
        type
        url
        height
        width
        thumbnail_url
        thumbnail_height
        thumbnail_width
      }
      brand {
        id
        type
        url
        height
        width
        thumbnail_url
        thumbnail_height
        thumbnail_width
      }
      image_list {
        id
        type
        url
        height
        width
        thumbnail_url
        thumbnail_height
        thumbnail_width
      }
      video {
        id
        url
      }
      video_list {
        id
        url
      }
    }
    routing {
      fast_charging_support
    }
  }
}
`,
};
