import type { Meta, StoryObj } from "@storybook/vue3";
import { CTExpandableCard } from "../expandable-card";
import type { ExpandableCardProps } from "../expandable-card";
import { expandableCardStub } from "./stub";
import { ref } from "vue";

const meta: Meta<typeof CTExpandableCard> = {
  title: "Card/Expandable",
  component: CTExpandableCard,
  argTypes: {
    maxOpen: { control: "number" },
  },
};

export const Expandable: StoryObj<typeof CTExpandableCard> = {
  args: {
    ...expandableCardStub,
    maxOpen: 1,
  },
  render: (args: ExpandableCardProps) => ({
    components: { CTExpandableCard },
    setup() {
      const modelValue = ref([]);

      return { args, modelValue };
    },
    template: `<div>
      <CTExpandableCard v-bind="args" v-model="modelValue">
        <p>
          Slot
        </p>
        <template #prefix>
          
        </template>
      </CTExpandableCard>
    </div>`,
  }),
};

export default meta;
