import type { defineComponent } from "vue";

export interface ExpandableCardProps {
  itemList: ExpandableItemProps[];
  modelValue: number[];
  maxOpen?: number;
}

export interface ExpandableCardEmits {
  (e: "update:modelValue", modelValue: number[]): void;
}

export interface ExpandableItemEmits {
  (e: "update:modelValue", value: boolean): void;
}

export interface ExpandableItemProps {
  label?: string;
  sublabel?: string;
  component?: ReturnType<typeof defineComponent>;
  modelValue?: boolean;
  itemList?: ExpandableItemProps[];
}
