import { describe, it, expect } from "vitest";
import { mount } from "@vue/test-utils";
import { CTFooter } from "../footer";
import { CTLink } from "../link";
import { stub } from "./stub";

const props = { ...stub };
const { menuList } = props;
describe("Footer", () => {
  it("renders menus", () => {
    const wrapper = mount(CTFooter, { props });

    expect(wrapper.findAll(".menu").length).toBe(menuList.length);

    expect(wrapper.find(".menu p").text()).toBe(menuList[0].label);

    expect(wrapper.find(".menu").findAllComponents(CTLink).length).toBe(
      menuList[0].itemList.length,
    );

    expect(wrapper.find(".menu").findComponent(CTLink).text()).toBe(
      menuList[0].itemList[0].label,
    );
  });
});
