import type { FooterProps } from "./types";

export const stub: FooterProps = {
  legalItemList: [
    {
      label: "Mission Statement",
      href: "https://chargetrip.com/mission-statement",
    },
    {
      label: "State of charge",
      href: "https://us12.campaign-archive.com/home/?u=eaea97b9072598e3643ab1131&id=9021c65c75",
    },
    { label: "Try Chargetrip Go", href: "https://go.chargetrip.com/" },
  ],
  menuList: [
    {
      label: "Getting started",
      itemList: [
        { label: "API basics", to: "/1" },
        { label: "GraphQL basics", to: "/2" },
        { label: "EV basics", to: "/3" },
      ],
    },
    {
      label: "API Reference",
      itemList: [
        { label: "Vehicles", to: "/4" },
        { label: "Stations", to: "/5" },
        { label: "Routes", to: "/6" },
        { label: "Navigation", to: "/7" },
        { label: "Tile service", to: "/8" },
      ],
    },
    {
      label: "Products",
      itemList: [
        { label: "Dashboard", to: "/9" },
        { label: "Help center", to: "/10" },
        { label: "SDKs", to: "/11" },
      ],
    },
    {
      label: "Tooling",
      itemList: [
        { label: "Playground", href: "https://playground.chargetrip.com/" },
        { label: "Voyager", href: "https://voyager.chargetrip.com/" },
        { label: "Examples", href: "https://examples.chargetrip.com/" },
        {
          statusIndicator: "none",
          label: "API Status",
          href: "https://status.chargetrip.com/",
        },
      ],
    },
    {
      label: "Legal",
      itemList: [
        {
          label: "Terms & Conditions",
          href: "https://chargetrip.com/terms-and-conditions",
        },
        {
          label: "Privacy Policy",
          href: "https://chargetrip.com/privacy-policy",
        },
        { label: "SLA", href: "https://chargetrip.com/sla" },
        {
          label: "Cookie Policy",
          href: "https://chargetrip.com/cookie-policy",
        },
      ],
    },
  ],
};
