import { CTIconButton } from "../icon-button";
import { ButtonType, ButtonVariant, ButtonSize } from "../base-button";
import { IconName } from "../icon";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTIconButton> = {
  title: "Button/IconButton",
  component: CTIconButton,
  argTypes: {
    href: { control: "text" },
    to: { control: "text" },
    isLoading: { control: "boolean" },
    icon: { control: "select", options: Object.values(IconName) },
    type: { control: "select", options: Object.values(ButtonType) },
    variant: { control: "select", options: Object.values(ButtonVariant) },
    size: { control: "select", options: Object.values(ButtonSize) },
    isRounded: { control: "boolean" },
    isDisabled: { control: "boolean" },
  },
};

type Story = StoryObj<typeof CTIconButton>;

export const Normal: Story = {
  args: {
    ...stub,
  },
};

export const Rounded: Story = {
  args: {
    ...stub,
    isRounded: true,
  },
};

export const Large: Story = {
  args: {
    ...stub,
    size: ButtonSize.LARGE,
  },
};

export const Small: Story = {
  args: {
    ...stub,
    size: ButtonSize.SMALL,
  },
};

export default meta;
