import { describe, it, expect } from "vitest";
import { stub } from "./stub";
import { CTIcon, IconName, IconSize, IconType } from "./index";
import { mount } from "@vue/test-utils";

const props = {
  ...stub,
};

describe("Icon", () => {
  it("has size class", async () => {
    const wrapper = mount(CTIcon, {
      props: { name: IconName.SM_CONTENT_CONNECTIVITY },
    });

    expect(wrapper.classes(`size-${IconSize.SMALL}`)).toStrictEqual(true);

    await wrapper.setProps({ name: IconName.MD_SOCIAL_MEDIA_LINKEDIN });
    expect(wrapper.classes(`size-${IconSize.MEDIUM}`)).toStrictEqual(true);

    await wrapper.setProps({ name: IconName.LG_CONTENT_NETWORKING });
    expect(wrapper.classes(`size-${IconSize.LARGE}`)).toStrictEqual(true);
  });

  it("renders type class", async () => {
    const wrapper = mount(CTIcon, {
      props,
    });

    expect(wrapper.classes(`type-${IconType.DEFAULT}`)).toStrictEqual(true);

    await wrapper.setProps({ type: IconType.STYLED });

    expect(wrapper.classes(`type-${IconType.STYLED}`)).toStrictEqual(true);
  });
});
