import { describe, expect, it } from "vitest";
import { CTIndicator, IndicatorColor } from "./index";
import { mount } from "@vue/test-utils";
import { IconName } from "../icon";
describe("Indicator", () => {
  it("renders loader", async () => {
    const wrapper = mount(CTIndicator);

    expect(wrapper.findComponent({ ref: "loaderRef" }).exists()).toStrictEqual(
      false,
    );

    expect(wrapper.find({ ref: "indicatorRef" }).exists()).toStrictEqual(true);

    await wrapper.setProps({ isLoading: true });

    expect(wrapper.findComponent({ ref: "loaderRef" }).exists()).toStrictEqual(
      true,
    );

    expect(wrapper.find({ ref: "indicatorRef" }).exists()).toStrictEqual(false);

    expect(
      wrapper.findComponent({ ref: "loaderRef" }).props("name"),
    ).toStrictEqual(IconName.MD_CONTROLS_LOADING_CIRCLE);
  });

  it("renders indicator", async () => {
    const wrapper = mount(CTIndicator);

    expect(wrapper.classes(`color-${IndicatorColor.SUCCESS}`)).toStrictEqual(
      true,
    );
    await wrapper.setProps({ color: IndicatorColor.WARNING });

    expect(wrapper.find({ ref: "indicatorRef" }).exists()).toStrictEqual(true);

    expect(wrapper.classes(`color-${IndicatorColor.WARNING}`)).toStrictEqual(
      true,
    );
  });
});
