import type { IconName } from "../icon";
import type { AnyMaskedOptions } from "imask";
import type { InputType } from "./constants";
import type { FormControlProps } from "../form-control";

export interface InputEmits {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  (e: "update:modelValue", event: any): void;
  (e: "focus"): void;
  (e: "blur"): void;
}

export interface InputProps extends FormControlProps {
  icon?: IconName;
  autocomplete?: string;
  hasClear?: boolean;
  hasFocusKey?: boolean;
  isDebounced?: boolean;
  maskedOptions?: AnyMaskedOptions;
  type?: InputType;
  placeholder?: string;
  isRounded?: boolean;
  isBoxed?: boolean;
  hotkey?: {
    icon: IconName;
    key: string;
    callback: () => void;
  };
}
