import { CTListItem, ListItemType } from "../list-item";
import type { ListItemProps } from "../list-item";
import { stub } from "./stub";

import type { Meta, StoryObj } from "@storybook/vue3";
import { iconArgTypes } from "../../utilities/storybook";

const meta: Meta<typeof CTListItem> = {
  title: "ListItem",
  component: CTListItem,
  argTypes: {
    label: { control: "text" },
    sublabel: { control: "text" },
    isDisabled: { control: "boolean" },
    type: { control: "select", options: Object.values(ListItemType) },
    ...iconArgTypes,
  },
};

export const Normal: StoryObj<typeof CTListItem> = {
  args: {
    ...stub,
  },
  render: (args: ListItemProps) => ({
    components: { CTListItem },
    setup() {
      return { args };
    },
    template: `
      <div>
        <CTListItem class="w-[200px]" v-bind="args"/>
      </div>
    `,
  }),
};

export default meta;
