import { CTMegaMenuSection } from "../mega-menu";
import { mount } from "@vue/test-utils";
import { describe, it, expect } from "vitest";
import { otherMenuList } from "./stub";
import { CTListItem } from "../list-item";
import { CTIcon } from "../icon";
const props = otherMenuList[0];
const { label, itemList } = props;
describe("MegaMenuSection", () => {
  it("renders label", () => {
    const wrapper = mount(CTMegaMenuSection, { props });

    expect(wrapper.find({ ref: "labelRef" }).text()).toStrictEqual(label);
  });

  it("renders items", () => {
    const wrapper = mount(CTMegaMenuSection, { props });

    const iconComponents = wrapper.findAllComponents(CTIcon);

    wrapper.findAllComponents(CTListItem).forEach((listItem, key) => {
      const { label, sublabel, icon } = itemList[key];
      expect(listItem.props("label")).toStrictEqual(label);
      expect(listItem.props("sublabel")).toStrictEqual(sublabel);
      expect(iconComponents[key].props("name")).toStrictEqual(icon);

      // expect(listItem.findComponent({ ref: "iconRef" }).exists()).toStrictEqual(
      //   Boolean(icon),
      // );
    });
  });

  it("renders background", async () => {
    const wrapper = mount(CTMegaMenuSection, {
      props: { ...props, hasBackground: false },
    });

    expect(wrapper.classes("has-background")).toStrictEqual(false);

    await wrapper.setProps({ hasBackground: true });

    expect(wrapper.classes("has-background")).toStrictEqual(true);
  });
});
