import { IconName } from "../icon";
import type { MegaMenuItemProps } from "./types";

export const menuList: MegaMenuItemProps[] = [
  {
    label: "Reporting",
    sublabel: "Understand how our API is being used by customers.",
    to: "/reporting",
    image: "/mega-menu/light-analytics.svg",
  },
  {
    label: "Debugging",
    sublabel: "Explore how monitor and test applications use the API.",
    to: "/debugging",
    image: "/mega-menu/light-debug.svg",
  },
  {
    label: "Real-time",
    sublabel: "Track route generation around the globe in real-time.",
    to: "/real-time",
    isDisabled: true,
    image: "/mega-menu/light-realtime.svg",
  },
];

export const otherMenuList = [
  {
    label: "API services",
    itemList: [
      {
        label: "Vehicle",
        sublabel: "Brand and vehicle data",
        to: "/vehicle",
        icon: IconName.MD_PRODUCTS_VEHICLE,
      },
      {
        label: "Station",
        sublabel: "Imports and station quality",
        isDisabled: true,
        to: "/station",
        icon: IconName.MD_PRODUCTS_CHARGE_STATION,
      },
      {
        label: "Route",
        to: "/route",
        sublabel: "Route logs and monitoring",
        icon: IconName.MD_PRODUCTS_ROUTE,
      },
    ],
  },
  {
    label: "Management services",
    itemList: [
      {
        label: "E-mail",
        to: "/email",
        isDisabled: true,
        sublabel: "Transactional content",
        icon: IconName.MD_KEYBOARD_E_MAIL,
      },
      {
        label: "API health",
        to: "/health",
        isDisabled: true,
        sublabel: "Track deprecation usage",
        icon: IconName.MD_CONTENT_DASHBOARD,
      },
    ],
  },
];

export const fleetsMenu = {
  label: "Fleets Services",
  itemList: [
    {
      label: "Batch",
      sublabel: "Batch sublabel",
      to: "/fleets",
      icon: IconName.MD_CONTENT_DASHBOARD,
    },
  ],
};

export const dataMenu = {
  label: "Data",
  itemList: [
    {
      label: "Customers",
      to: "/customers",
      icon: IconName.MD_CONTENT_CIRCLE_PERSON,
    },
    {
      label: "Workspaces",
      to: "/orgs",
      isDisabled: true,
      icon: IconName.MD_MAP_COMPANY,
    },
  ],
};
