import { CTMenuDropdown } from "../menu-dropdown";
import { CTButton } from "../button";
import type { MenuDropdownProps } from "../menu-dropdown";
import { themeStub } from "./stub";
import { ref } from "vue";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTMenuDropdown> = {
  title: "MenuDropdown",
  component: CTMenuDropdown,
  argTypes: {
    header: {
      control: "object",
    },
    items: {
      control: "array",
    },
  },
};

export const Normal: StoryObj<typeof CTMenuDropdown> = {
  args: {
    ...themeStub,
  },
  render: (args: MenuDropdownProps) => ({
    components: { CTMenuDropdown, CTButton },
    setup() {
      const showDropdown = ref(false);
      const toggleDropdown = (): void => {
        showDropdown.value = !showDropdown.value;
      };

      return { args, toggleDropdown, showDropdown };
    },
    template: `<div class="flex flex-col gap-4 items-start">
      <CTButton @click="toggleDropdown">Toggle dropdown</CTButton>
      <CTMenuDropdown v-bind="args" :is-active="showDropdown" />
    </div>`,
  }),
};

export default meta;
