import { IconName } from "../icon";
import { TagType } from "../tag";
import type { MenuDropdownProps } from "./types";

export const profileStub: MenuDropdownProps = {
  header: {
    label: "Gideon van Dijk",
    sublabel: "-",
  },
  items: [
    {
      label: "Open dashboard",
      to: "/open-dashboard",
      icon: IconName.MD_CONTENT_DASHBOARD,
    },
    {
      label: "Manage plan",
      to: "/manage-plan",
      icon: IconName.MD_NAVIGATION_CIRCLE_ARROW_UP,
      tagLabel: "Go Pro",
      tagType: TagType.SHINY,
    },
    {
      label: "Edit profile",
      to: "/edit-profile",
      icon: IconName.MD_CONTENT_CIRCLE_PERSON,
    },
    {
      label: "Log out",
      to: "/log-out",
      icon: IconName.MD_NAVIGATION_LOG_OUT,
    },
  ],
};

export const themeStub: MenuDropdownProps = {
  items: [
    {
      label: "System",
      icon: IconName.MD_CONTROLS_THEME_SYSTEM,
      onClick: console.log.bind(null, "System theme"),
    },
    {
      label: "Day",
      icon: IconName.MD_CONTROLS_THEME_LIGHT,
      onClick: console.log.bind(null, "Day theme"),
    },
    {
      label: "Night",
      icon: IconName.MD_CONTROLS_THEME_DARK,
      onClick: console.log.bind(null, "Night theme"),
    },
  ],
};
