import type { IconName } from "../icon";
import type { RouteLocationRaw } from "vue-router";
import type { TagType } from "../tag";

export interface Header {
  icon?: IconName;
  label: string;
  sublabel?: string;
}

export interface SubItem {
  label: string;
  to?: RouteLocationRaw;
  href?: string;
  icon?: IconName;
  isActive?: boolean;
  onClick?: (event: MouseEvent) => void;
  tagLabel?: string;
  tagType?: TagType;
}

export interface MenuDropdownProps {
  header?: Header;
  items?: Array<SubItem>;
  isActive?: boolean;
}
