import type { MenuProps, ProfileMenuProps, WorkspacesMenuProps } from "../menu";
import { IconName } from "../icon";

export const developerPortalStub: MenuProps = {
  items: [
    {
      label: "Getting started",
      to: "/getting-started",
    },
    {
      label: "API Reference",
      to: { name: "raw-location" },
      isBeta: true,
    },
    {
      label: "Release notes",
      to: "/api-reference/test/this/stuff",
    },
    {
      label: "Deprecations",
      href: "/deprecations",
    },
  ],
};

export const dashboardStub: MenuProps = {
  items: [
    {
      label: "Projects",
    },
    {
      label: "Analytics",
      isBeta: true,
    },
    {
      label: "Billing",
      to: "/billing/advanced-settings",
    },
  ],
};

export const workspaceMenuStub: WorkspacesMenuProps = {
  activeWorkspaceId: "123",
  workspaceList: [
    {
      id: "123",
      label: "Porsche",
      sublabel: "Owner",
    },
    {
      id: "2",
      label: "Sneude plannen",
      sublabel: "Member",
    },
  ],
  sectionList: [
    [
      {
        label: "Add new workspace",
        icon: IconName.MD_CONTENT_CIRCLE_PERSON,
        to: "/",
      },
    ],
  ],
};
export const profileMenuStub: ProfileMenuProps = {
  name: "Laurens van der Maas",
  sectionList: [
    {
      label: "Account",
      itemList: [
        {
          label: "Profile",
          icon: IconName.MD_CONTENT_CIRCLE_PERSON,
          to: "/",
        },
      ],
    },
    {
      label: "Quick links",
      itemList: [
        {
          label: "Developer portal",
          icon: IconName.MD_CODE_CODE,
          to: "/",
        },
        {
          label: "Help center",
          icon: IconName.MD_PRODUCTS_HELP_CENTER,
          to: "/",
        },
      ],
    },
    {
      itemList: [
        {
          label: "Logout",
          icon: IconName.MD_NAVIGATION_LOG_OUT,
          to: "/",
        },
      ],
    },
  ],
};
