import type { RouteLocationRaw } from "vue-router";
import type { defineComponent } from "vue";
import type { ListItemProps } from "../list-item";
import type { WorkspaceCardProps } from "../workspace-card";

export interface DeveloperPortalControlsEmits {
  (e: "click-notification", event: MouseEvent): void;
  (e: "logout", event: MouseEvent): void;
}

export interface DeveloperPortalControlsEmits {
  (e: "click-search", event: MouseEvent): void;
  (e: "logout", event: MouseEvent): void;
}
export interface MenuProps {
  items?: Array<MenuItemProps>;
  isDashboard?: boolean;
  menuIndices?: number[];
}

export interface MenuItemEmits {
  (e: "focus"): void;
  (e: "blur"): void;
}
export interface MenuItemProps {
  label: string;
  to?: RouteLocationRaw;
  component?: ReturnType<typeof defineComponent>;
  href?: string;
  isBeta?: boolean;
}

export interface ProfileDropdownProps {
  isDashboard?: boolean;
}

export interface ProfileDropdownEmits {
  (name: "logout", event: MouseEvent): void;
}

export interface ProfileMenuProps {
  name: string;
  sectionList: { itemList: ListItemProps[]; label?: string }[];
}

export interface WorkspacesMenuProps {
  activeWorkspaceId?: string;
  workspaceList: WorkspaceCardProps[];
  sectionList: ListItemProps[][];
}
