import { describe, it, expect } from "vitest";
import { CTContentModal } from "./index";
import { mount } from "@vue/test-utils";

describe("ContentModal", () => {
  it("can close", async () => {
    const wrapper = mount(CTContentModal);

    await wrapper.findComponent({ ref: "closeRef" }).trigger("click");

    expect(wrapper.emitted("close")).toBeTruthy();
  });

  it("doesn't render footer", async () => {
    const wrapper = mount(CTContentModal);

    expect(wrapper.find({ ref: "footerRef" }).exists()).toStrictEqual(false);
  });

  it("does render footer", async () => {
    const footer = "Footer!";

    const wrapper = mount(CTContentModal, { slots: { footer } });

    expect(wrapper.find({ ref: "footerRef" }).text()).toStrictEqual(footer);
  });
});
