import { describe, it, expect } from "vitest";
import { CTStepperModal } from "./index";
import { mount } from "@vue/test-utils";
import { stepperModalStub } from "./stub";

describe("StepperModal", () => {
  it("renders header", async () => {
    const header = "header";
    const wrapper = mount(CTStepperModal, {
      props: {
        ...stepperModalStub,
        modelValue: 0,
      },
      slots: {
        header,
      },
    });

    expect(wrapper.find("header").text()).toBe(header);
  });

  it("renders footer", async () => {
    const footer = "footer";
    const wrapper = mount(CTStepperModal, {
      props: {
        ...stepperModalStub,
        modelValue: 0,
      },
      slots: {
        footer,
      },
    });

    expect(wrapper.find("footer").text()).toBe(footer);
  });

  it("renders default", async () => {
    const defaultSlot = "default";
    const wrapper = mount(CTStepperModal, {
      props: {
        ...stepperModalStub,
        modelValue: 0,
      },
      slots: {
        default: defaultSlot,
      },
    });

    expect(wrapper.find({ ref: "defaultRef" }).text()).toBe(defaultSlot);
  });
});
