import type { ModalSize } from "./constants";
import { ModalType } from "./constants";

export interface ChapterModalEmits {
  (name: "close"): void;
  (name: "update:showAside", value: boolean): void;
}
export interface ChapterModalProps extends ModalProps {
  isReversed?: boolean;
  showAside?: boolean;
}

export interface ContentModalEmits {
  (name: "close"): void;
}

export interface ContentModalProps extends ModalProps {
  showShadow?: boolean;
}

export interface ModalProps {
  isActive?: boolean;
  type?: ModalType;
  size?: ModalSize;
}
export interface ModalEmits {
  (e: "close"): void;
}

export interface StepperModalEmits {
  (name: "close"): void;
}

export interface StepperModalProps extends ModalProps {
  modelValue: number;
  length: number;
}

export interface StepperModalSlots {
  default: (props: { index: number }) => void;
  footer?: () => void;
  header?: () => void;
}
