import { describe, it, expect } from "vitest";
import { mount } from "@vue/test-utils";
import { CTRadio } from "./index";
import { stub } from "./stub";

const props = { ...stub };
const { name } = props;

describe("Switch", () => {
  it("emits model value", async () => {
    const wrapper = mount(CTRadio, {
      props,
    });

    await wrapper.trigger("click");
    expect(wrapper.emitted("update:modelValue")?.[0]).toEqual([name]);
    await wrapper.find({ ref: "inputRef" }).trigger("change");
    expect(wrapper.emitted("update:modelValue")?.[1]).toEqual([name]);
  });

  it("can be boxed", async () => {
    const wrapper = mount(CTRadio, {
      props: { ...props, isBoxed: false },
    });

    expect(wrapper.classes("is-boxed")).toBe(false);
    await wrapper.setProps({ isBoxed: true });
    expect(wrapper.classes("is-boxed")).toBe(true);
  });
});
