import { describe, it, expect } from "vitest";
import { stub } from "./stub";
import { mount } from "@vue/test-utils";
import { CTSchemaErrorBlock } from "./index";
import { CTLabel } from "../label";
import { CTTag } from "../tag";
import slugify from "slugify";

const props = { ...stub };
const { label } = props;

describe("SchemaErrorBlock", () => {
  it("renders label", () => {
    const wrapper = mount(CTSchemaErrorBlock, { props });

    expect(wrapper.findComponent(CTLabel).exists()).toBe(true);
  });

  it("renders tag", () => {
    const wrapper = mount(CTSchemaErrorBlock, { props });

    expect(wrapper.findComponent(CTTag).exists()).toBe(true);
  });

  it("renders id", async () => {
    const wrapper = mount(CTSchemaErrorBlock, {
      props: { ...props },
    });
    await wrapper.setProps({ label });
    expect(wrapper.attributes("id")).toBe(slugify(label));
  });
});
