import { CTSchemaFieldBlock } from "../schema-field-block";
import type { SchemaFieldBlockProps } from "../schema-field-block";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTSchemaFieldBlock> = {
  title: "SchemaFieldBlock",
  component: CTSchemaFieldBlock,
  argTypes: {
    label: { control: "text" },
    sublabel: { control: "text" },
    type: { control: "text" },
    isRequired: { control: "boolean" },
    isDeprecated: { control: "boolean" },
    isChild: { control: "boolean" },
  },
};

export const Normal: StoryObj<typeof CTSchemaFieldBlock> = {
  args: {
    ...stub,
  },
  render: (args: SchemaFieldBlockProps) => ({
    components: { CTSchemaFieldBlock },
    setup() {
      return { args };
    },
    template:
      '<router-link to="/#last_known_location-type-Point">Toggle</router-link><CTSchemaFieldBlock class="mt-2" v-for="(item, key) in args.childList" v-bind="item" :key="key"/>',
  }),
};

export default meta;
