import { CTSearchPalette } from "../search-palette";
import type { SearchPaletteProps } from "../search-palette";
import { stub } from "./stub";
import { ref } from "vue";
import type { Meta, StoryObj } from "@storybook/vue3";
import { CTButton } from "../button";
import { ButtonType } from "../base-button";

const meta: Meta<typeof CTSearchPalette> = {
  title: "Search Palette",
  component: CTSearchPalette,
  argTypes: {
    placeholder: { control: "text" },
    isLoading: { control: "boolean" },
    resultList: { control: "array" },
  },
};

export const Normal: StoryObj<typeof CTSearchPalette> = {
  args: {
    ...stub,
  },
  render: (args: SearchPaletteProps) => ({
    components: { CTSearchPalette, CTButton },
    setup() {
      const showSearchPalette = ref(false);
      const search = ref("");
      return { args, showSearchPalette, ButtonType, search };
    },
    template:
      '<CTButton :type="ButtonType.PRIMARY" @click="showSearchPalette = true">Toggle</CTButton><CTSearchPalette @close="showSearchPalette = false" v-if="showSearchPalette" v-bind="args" v-model="search"/>',
  }),
};

export default meta;
