import { CTSegment } from "../segment";
import type { SegmentProps } from "../segment";
import { ref } from "vue";
import { primaryStub, iconStub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTSegment> = {
  title: "Segment",
  component: CTSegment,
};

const template: StoryObj<typeof CTSegment> = {
  args: {
    ...primaryStub,
  },
  // @ts-ignore
  render: (args: SegmentProps) => ({
    components: { CTSegment },
    setup() {
      const index = ref(0);
      return { args, index };
    },
    template:
      '<div class="flex w-full flex-1"><CTSegment class="mx-auto max-w-[280px]" v-bind="args" v-model="index" /></div>',
  }),
};

export const Labels = {
  ...template,
  args: {
    ...primaryStub,
  },
};

export const Icons = {
  ...template,
  args: {
    ...iconStub,
  },
};

export default meta;
