import type { BaseSelectProps, SelectOptionDefault } from "./types";
import { SelectOptionType } from "./constants";

export const stub: BaseSelectProps<string> = {
  id: "example",
  modelValue: "",
  label: "Label",
  optionList: [
    {
      label: "🇦🇩 Andorra",
      sublabel: "laurensvdmaas@gmail.com 123123213123",
      value: "AD",
    },
    {
      label: "test",
      value: "",
      type: SelectOptionType.HEADER,
    },
    {
      label: "🇦🇪 United Arab Emirates",
      value: "AE",
      isDisabled: true,
    },
    {
      label: "🇦🇫 Afghanistan",
      value: "AF",
    },
    {
      label: "🇦🇬 Antigua and Barbuda",
      value: "AG",
    },
    {
      label: "🇦🇮 Anguilla",
      value: "AI",
    },
    {
      label: "🇦🇱 Albania",
      value: "AL",
    },
    {
      label: "🇦🇲 Armenia",
      value: "AM",
    },
    {
      label: "🇦🇴 Angola",
      value: "AO",
    },
    {
      label: "🇦🇶 Antarctica",
      value: "AQ",
    },
  ],
  isDisabled: false,
  hasFilter: false,
};

export const defaultOptionList = stub.optionList.filter(
  (item): item is SelectOptionDefault<string> =>
    item.type !== SelectOptionType.HEADER,
);
