import { CTSlider } from "../slider";
import type { SliderProps } from "../slider";
import { stub } from "./stub";
import { reactive } from "vue";
import type { Meta, StoryObj } from "@storybook/vue3";
import { CTButton } from "../button";

const meta: Meta<typeof CTSlider> = {
  title: "Form/Slider",
  component: CTSlider,
  argTypes: {
    isDisabled: {
      control: {
        type: "boolean",
      },
    },
    min: {
      control: {
        type: "number",
      },
    },
    max: {
      control: {
        type: "number",
      },
    },
  },
};

export const Normal: StoryObj<typeof CTSlider> = {
  args: {
    ...stub,
  },
  render: (args: SliderProps) => ({
    components: { CTSlider, CTButton },
    setup() {
      const state = reactive({ value: [25, 75] });
      return { args, state };
    },
    template: `<div class="flex flex-col gap-4 items-start">
    <CTSlider class="mt-4 flex-1 w-full" v-bind="args" v-model="state.value"/>
    <CTButton @click="state.value = [25, 75]" class="mt-4">
      Reset
    </CTButton>
    <div>
      <p>
        Min: {{args.min}}
      </p>
      <p>
        Max: {{args.max}}
      </p>
      <p>Value: {{state.value}}</p>
    </div>
  </div>`,
  }),
};

export default meta;
