import { CTTab, TabVariant, TabType } from "../tab";
import type { TabProps } from "../tab";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";
import { IconName } from "../icon";

const meta: Meta<typeof CTTab> = {
  title: "Tab",
  component: CTTab,
  argTypes: {
    isActive: { control: "boolean" },
    variant: {
      control: "select",
      options: [...Object.values(TabVariant)],
    },
    icon: { control: "select", options: Object.values(IconName) },
    type: { control: "select", options: Object.values(TabType) },
  },
};

type Story = StoryObj<typeof CTTab>;

export const Normal: Story = {
  args: {
    ...stub,
  },
  render: (args: TabProps) => ({
    components: { CTTab },
    setup() {
      const log = (str: string) => console.log(str);

      return { args, log };
    },
    template: `<div class="flex flex-col gap-y-4 items-start">
      <CTTab v-bind="args" @click="log('click')" @remove="log('remove')" />
    </div>`,
  }),
};

export default meta;
