import { CTTableList, CTHeadCell, CTBodyCell } from "../table-list";
import type { Meta, StoryObj } from "@storybook/vue3";
import { ref } from "vue";

const meta: Meta<typeof CTTableList> = {
  title: "TableList",
  component: CTTableList,
};

export const Normal: StoryObj<typeof CTTableList> = {
  render: () => ({
    setup() {
      const direction = ref(undefined);

      return { direction };
    },
    components: { CTTableList, CTHeadCell, CTBodyCell },
    template: `<CTTableList>
    <template #head>
      <CTHeadCell is-sortable :direction="direction" @update:direction="direction = $event">
        Heading 1
      </CTHeadCell>
      <CTHeadCell>
        Heading 2
      </CTHeadCell>
      <CTHeadCell>
        Heading 3
      </CTHeadCell>
      <CTHeadCell>
        Heading 4
      </CTHeadCell>
    </template>
    <div class="row-wrapper row">
      <CTBodyCell label="Body 1" is-label-mono/>
      <CTBodyCell>
        Body 2
      </CTBodyCell>
      <CTBodyCell>
        Body 3
      </CTBodyCell>
      <CTBodyCell>
        Body 4
      </CTBodyCell>
    </div>
  </CTTableList>`,
  }),
};

export default meta;
