import { CellDirection } from "./constants";

export interface BaseCellProps {
  alignRight?: boolean;
}

export interface BodyCellProps extends BaseCellProps {
  label?: string;
  sublabel?: string;
  isSublabelMono?: boolean;
  isLabelMono?: boolean;
}

export interface HeadCellProps extends BaseCellProps {
  label?: string;
  direction?: CellDirection;
  isSortable?: boolean;
}

export interface HeadCellEmits {
  (name: "click", event: MouseEvent): void;
  (name: "update:direction", event: CellDirection | undefined): void;
}
