import { CTTable } from "../table";
import type { TableProps } from "../table";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTTable> = {
  title: "Table",
  component: CTTable,
  argTypes: {
    isBoxed: { control: "boolean" },
  },
};

export const Normal: StoryObj<typeof CTTable> = {
  args: {
    ...stub,
  },
  render: (args: TableProps) => ({
    components: { CTTable },
    setup() {
      return { args };
    },
    template: `<CTTable v-bind="args">
    <thead>
      <tr>
        <th>Argument</th>
        <th>Type</th>
        <th>Default</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          size
        </td>
        <td>
          int
        </td>
        <td>
          Default is set to 10
        </td>
      </tr>
      <tr>
        <td>
          page
        </td>
        <td>
          int
        </td>
        <td>
          Default is set to 10
        </td>
      </tr>
    </tbody>
  </CTTable>`,
  }),
};

export default meta;
