import { describe, expect, it } from "vitest";
import { mount } from "@vue/test-utils";
import { CTTable } from "../table";

describe("Table", () => {
  it("renders slot", () => {
    const slotContent = "Slot content";
    const wrapper = mount(CTTable, { slots: { default: slotContent } });
    expect(wrapper.text()).toBe(slotContent);
  });

  it("has boxed class", async () => {
    const wrapper = mount(CTTable);
    expect(wrapper.classes("is-boxed")).toBe(false);
    await wrapper.setProps({ isBoxed: true });
    expect(wrapper.classes("is-boxed")).toBe(true);
  });
});
