import { CTTag, TagVariant, TagSize, TagType } from "../tag";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";
import { IconName } from "../icon";

const meta: Meta<typeof CTTag> = {
  title: "Tag",
  component: CTTag,
  argTypes: {
    variant: {
      control: "select",
      options: [...Object.values(TagVariant)],
    },
    iconLeft: { control: "select", options: Object.values(IconName) },
    iconRight: { control: "select", options: Object.values(IconName) },
    size: { control: "select", options: Object.values(TagSize) },
    suffix: { control: "select", options: Object.values(IconName) },
    type: { control: "select", options: Object.values(TagType) },
  },
};

type Story = StoryObj<typeof CTTag>;

export const Small: Story = {
  args: {
    ...stub,
    size: TagSize.SMALL,
  },
};

export const Medium: Story = {
  args: {
    ...stub,
    size: TagSize.MEDIUM,
  },
};

export const Large: Story = {
  args: {
    ...stub,
    size: TagSize.LARGE,
  },
};

export default meta;
