import { CTToast } from "../toast";
import type { ToastProps } from "../toast";
import { stub } from "./stub";
import { CTButton } from "../button";
import { ref } from "vue";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTToast> = {
  title: "Toast",
  component: CTToast,
  argTypes: {
    label: { control: "text" },
  },
};

export const Normal: StoryObj<typeof CTToast> = {
  args: {
    ...stub,
  },
  render: (args: ToastProps) => ({
    components: { CTToast, CTButton },
    setup() {
      const showToast = ref(false);
      return { args, showToast };
    },
    template: `<CTButton @click="showToast = true">Toggle toast</CTButton><CTToast @close="showToast = false" v-if="showToast" v-bind="args"/>`,
  }),
};

export default meta;
