import { CTTooltip, TooltipDirection } from "../tooltip";
import type { TooltipProps } from "../tooltip";
import { stub } from "./stub";
import type { Meta, StoryObj } from "@storybook/vue3";

const meta: Meta<typeof CTTooltip> = {
  title: "Tooltip",
  component: CTTooltip,
  argTypes: {
    title: { control: "text" },
    description: { control: "text" },
    direction: { control: "select", options: Object.values(TooltipDirection) },
  },
};

export const Normal: StoryObj<typeof CTTooltip> = {
  args: {
    ...stub,
  },
  render: (args: TooltipProps) => ({
    components: { CTTooltip },
    setup() {
      return { args };
    },
    template:
      '<div class="flex justify-center"><div class="wrapper relative"><div class="w-2 h-2 rounded-full bg-font-primary"></div><CTTooltip v-bind="args"/></div></div>',
  }),
};

export default meta;
