// @ts-nocheck
import { defineNuxtPlugin, useRuntimeConfig } from "#app";
import fileMap from "~/file-map-cloudinary.json";

export default defineNuxtPlugin((nuxt) => {
  const config = useRuntimeConfig();

  const provide = {
    fileMap,
    folder: config.public.CLOUDINARY_FOLDER,
    cloudName: config.public.CLOUDINARY_CLOUD_NAME,
  };

  nuxt.vueApp.provide("cloudinary", provide);
  nuxt.vueApp.provide("isNuxt", true);

  return {
    provide,
  };
});
