// eslint-disable-next-line no-undef
module.exports = {
  content: ["./index.html", "./src/**/*.{vue,js,ts,jsx,tsx}"],
  theme: {
    extend: {
      keyframes: {
        link: {
          "0%": { transform: "translateY(-100%)" },
          "100%": { transform: "translateY(100%)" },
        },
      },
      animation: {
        link: "move-right 3s ease-in-out infinite",
      },
      transitionTimingFunction: {
        DEFAULT: "ease-out",
        "expo-in-ease-out": "cubic-bezier(0.18, 1.25, 0.4, 1)",
      },
      transitionDuration: {
        DEFAULT: "300ms",
      },
      fontFamily: {
        display: "'Inter', sans-serif",
        mono: "'JetBrains Mono', monospace",
        body: "'Inter', sans-serif",
      },
      screens: {
        sm: "640px",
        "sm-max": { max: "639px" },
        md: "768px",
        "md-max": { max: "767px" },
        lg: "1024px",
        "lg-max": { max: "1023px" },
        xl: "1128px",
        "xl-max": { max: "1279px" },
        "2xl": "1536px",
        "2xl-max": { max: "1535px" },
      },
      boxShadow: {
        "down-lg": "var(--shadow-down-lg)",
        "down-md": "var(--shadow-down-md)",
        "down-sm": "var(--shadow-down-sm)",
        "down-xs-hover": "var(--shadow-down-xs-hover)",
        "down-xs": "var(--shadow-down-xs)",
        "up-xl": "var(--shadow-up-xl)",
        "up-md": "var(--shadow-up-md)",
        "up-sm": "var(--shadow-up-sm)",
        "up-xs": "var(--shadow-up-xs)",
        DEFAULT: "0px 6px 6px rgb(0 0 0 / 0.15)",
        "ring-subdued": "0 0 0 2.5px rgb(var(--subdued) / 0.5)",
        "ring-accent": "0 0 0 2.5px rgb(var(--accent) / 0.25)",
        "ring-note": "0 0 0 2.5px rgb(var(--note-alt2) / 0.16)",
        "ring-warning": "0 0 0 2.5px rgb(var(--warning-alt2) / 0.16)",
        "ring-error": "0 0 0 2.5px rgb(var(--error-alt2) / 0.16)",
        "ring-success": "0 0 0 2.5px rgb(var(--success-alt2) / 0.16)",
        "ring-alt": "0 0 0 2.5px rgb(var(--alt) / 0.25)",
        "ring-alt4": "0 0 0 2.5px rgb(var(--alt4) / 0.25)",
        "ring-accent-xs": "0 0 0 2px rgb(var(--accent) / 0.25)",
      },
      fontSize: {
        "2xs": "0.625rem",
        xs: "0.75rem",
        sm: "0.8125rem",
        md: "0.875rem",
        lg: "1rem",
        xl: "1.125rem",
        "2xl": "1.25rem",
        "3xl": "1.375rem",
        "4xl": "1.5rem",
        "5xl": "1.625rem",
        "6xl": "1.75rem",
        "7xl": "2rem",
        "8xl": "2.5rem",
        "9xl": "4rem",
      },
      colors: {
        body: "rgb(var(--body) / <alpha-value>)",
        base: "rgb(var(--base) / <alpha-value>)",
        subdued: "rgb(var(--subdued) / <alpha-value>)",
        alt: "rgb(var(--alt) / <alpha-value>)",
        alt2: "rgb(var(--alt2) / <alpha-value>)",
        alt3: "rgb(var(--alt3) / <alpha-value>)",
        alt4: "rgb(var(--alt4) / <alpha-value>)",
        accent: "rgb(var(--accent) / <alpha-value>)",
        "accent-alt": "rgb(var(--accent-alt) / <alpha-value>)",
        "accent-alt2": "rgb(var(--accent-alt2) / <alpha-value>)",
        "font-primary": "rgb(var(--font-primary) / <alpha-value>)",
        "font-alt": "rgb(var(--font-alt) / <alpha-value>)",
        "font-alt2": "rgb(var(--font-alt2) / <alpha-value>)",
        "font-alt3": "rgb(var(--font-alt3) / <alpha-value>)",
        "font-accent": "rgb(var(--font-accent) / <alpha-value>)",
        black: "rgb(var(--black) / <alpha-value>)",
        white: "rgb(var(--white) / <alpha-value>)",
        warning: "rgb(var(--warning) / <alpha-value>)",
        "warning-alt": "rgb(var(--warning-alt) / <alpha-value>)",
        "warning-alt2": "rgb(var(--warning-alt2) / <alpha-value>)",
        "warning-alt3": "rgb(var(--warning-alt3) / <alpha-value>)",
        error: "rgb(var(--error) / <alpha-value>)",
        "error-alt": "rgb(var(--error-alt) / <alpha-value>)",
        "error-alt2": "rgb(var(--error-alt2) / <alpha-value>)",
        "error-alt3": "rgb(var(--error-alt3) / <alpha-value>)",
        success: "rgb(var(--success) / <alpha-value>)",
        "success-alt": "rgb(var(--success-alt) / <alpha-value>)",
        "success-alt2": "rgb(var(--success-alt2) / <alpha-value>)",
        "success-alt3": "rgb(var(--success-alt3) / <alpha-value>)",
        note: "rgb(var(--note) / <alpha-value>)",
        "note-alt": "rgb(var(--note-alt) / <alpha-value>)",
        "note-alt2": "rgb(var(--note-alt2) / <alpha-value>)",
        "note-alt3": "rgb(var(--note-alt3) / <alpha-value>)",
      },
    },
  },
  plugins: [],
  corePlugins: {
    container: false,
  },
};
