import type { MaybeRef } from "vue";
import { toValue } from "vue";

export const useCssRgbVar = (
  name: string,
  element?: MaybeRef<HTMLElement | undefined>,
): string => {
  const elementValue = toValue(element);

  if (typeof window === "undefined") return "";

  const value = window
    .getComputedStyle(
      elementValue ? elementValue : window?.document?.documentElement,
    )
    .getPropertyValue(name)
    ?.trim();

  return `rgb(${value.split(" ").join(",")})`;
};
