import slugify from "slugify";
import type { MaybeRef } from "@vueuse/core";
import { resolveUnref } from "@vueuse/core";

export const useSlugify = ({
  label,
  id,
}: {
  label: MaybeRef<string | undefined>;
  id: MaybeRef<string | undefined>;
}): string => {
  const unrefId = resolveUnref(id);
  const unrefLabel = resolveUnref(label);

  return slugify(unrefId || unrefLabel || "", { lower: true });
};
