import { mergeConfig } from "vite";
import { defineConfig } from "vitest/config";
import viteConfig from "./vite.config.js";
import { join } from "path";

export default mergeConfig(
  viteConfig,
  defineConfig({
    test: {
      setupFiles: [join(__dirname, "src/utilities/vitest-setup.ts")],
      coverage: {
        provider: "v8",
        exclude: [
          //TODO: check if we can unit test theses
          "src/components/dynamic-code-block/DynamicCodeBlock.vue",
          "src/components/grid/Grid.vue",
          "src/components/toast/Toast.vue",
          "src/components/section/Section.vue",
          "src/components/copy/Copy.vue",
          "src/components/grid-section/GridSection.vue",
          "src/components/grid-section/Chart.vue",
        ],
        include: ["src/components/**/*.vue"],
        thresholds: {
          lines: 95,
          statements: 95,
          functions: 80,
          branches: 95,
        },
      },
    },
  }),
);
